我正在开发一个Android应用程序,但是当我试图构建应用程序,它给我的错误:扩展在V2证书不允许Android Studio中

Gradle Sync Failed Error:Extensions not allowed in v2 certificate".

我使用:

的Android工作室:2.2.2。

摇篮版本:2.2.2

我build.gradle文件是:

compileSdkVersion 23

buildToolsVersion "25.0.0"

aaptOptions

{

cruncherEnabled = false

}

defaultConfig {

minSdkVersion 14

targetSdkVersion 23

versionCode 1

versionName "1.0"

applicationId "com.myproject.src"

vectorDrawables.useSupportLibrary=true

}

signingConfigs {

release {

storeFile file("path_for_keystore")

storePassword "password"

keyAlias "Alias"

keyPassword "password"

}

}

buildTypes {

release {

minifyEnabled false

proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'

signingConfig signingConfigs.release

}

debug {

minifyEnabled false

proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'

signingConfig signingConfigs.release

}

}

packagingOptions {

exclude 'LICENSE.txt'

exclude 'META-INF/DEPENDENCIES'

exclude 'META-INF/ASL2.0'

exclude 'META-INF/NOTICE'

exclude 'META-INF/LICENSE'

}

lintOptions {

abortOnError false;

disable 'InvalidPackage'

disable 'OldTargetApi'

}}

任何帮助将不胜感激。

Logo

为开发者提供学习成长、分享交流、生态实践、资源工具等服务,帮助开发者快速成长。

更多推荐